Package com.collibra.dgc.core.api.dto.instance.asset

# Class ChangeAssetRequest

Object
ChangeAssetRequest

All Implemented Interfaces:
  `Serializable`

public class ChangeAssetRequest extends Object implements Serializable
The properties of the asset to be changed.

Only properties that are specified in this request and have not `null` values are updated. All other properties are ignored.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ChangeAssetRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeAssetRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChangeAssetRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getDisplayName()`
  The new display name for the asset.
  `UUID`
  `getDomainId()`
  The ID of the new domain for the asset.
  `Boolean`
  `getExcludedFromAutoHyperlinking()`
  Whether the asset should be excluded from hyperlinking or not.
  `UUID`
  `getId()`
  Required. The ID of the asset to be changed.
  `String`
  `getName()`
  The new full name for the asset.
  `UUID`
  `getStatusId()`
  The ID of the new status for the asset.
  `UUID`
  `getTypeId()`
  The ID of the new asset type for the asset.
  `String`
  `getTypePublicId()`
  The public ID of the new asset type for the asset.
  `int`
  `hashCode()`
  `void`
  `setDisplayName(String displayName)`
  The new display name for the asset.
  `void`
  `setDomainId(UUID domainId)`
  The ID of the new domain for the asset.
  `void`
  `setExcludedFromAutoHyperlinking(Boolean excludedFromAutoHyperlinking)`
  Whether the asset should be excluded from hyperlinking or not.
  `void`
  `setId(UUID id)`
  Required. The ID of the asset to be changed.
  `void`
  `setName(String name)`
  The new full name for the asset.
  `void`
  `setStatusId(UUID statusId)`
  The ID of the new status for the asset.
  `void`
  `setTypeId(UUID typeId)`
  The ID of the new asset type for the asset.
  `void`
  `setTypePublicId(String typePublicId)`
  The public ID of the new asset type for the asset.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangeAssetRequest

    public ChangeAssetRequest()

- ## Method Details

  - ### builder

    public static ChangeAssetRequest.Builder builder()

  - ### getId

    public UUID getId()
    Required. The ID of the asset to be changed. Silently ignored if the ID is provided as path parameter of the request.

  - ### getName

    public String getName()
    The new full name for the asset.

  - ### getDisplayName

    public String getDisplayName()
    The new display name for the asset.

  - ### getTypeId

    public UUID getTypeId()
    The ID of the new asset type for the asset.

  - ### getStatusId

    public UUID getStatusId()
    The ID of the new status for the asset.

  - ### getDomainId

    public UUID getDomainId()
    The ID of the new domain for the asset.

  - ### getExcludedFromAutoHyperlinking

    public Boolean getExcludedFromAutoHyperlinking()
    Whether the asset should be excluded from hyperlinking or not.

  - ### getTypePublicId

    public String getTypePublicId()
    The public ID of the new asset type for the asset.

  - ### setId

    public void setId(UUID id)
    Required. The ID of the asset to be changed. Silently ignored if the ID is provided as path parameter of the request.

  - ### setName

    public void setName(String name)
    The new full name for the asset.

  - ### setDisplayName

    public void setDisplayName(String displayName)
    The new display name for the asset.

  - ### setTypeId

    public void setTypeId(UUID typeId)
    The ID of the new asset type for the asset.

  - ### setStatusId

    public void setStatusId(UUID statusId)
    The ID of the new status for the asset.

  - ### setDomainId

    public void setDomainId(UUID domainId)
    The ID of the new domain for the asset.

  - ### setExcludedFromAutoHyperlinking

    public void setExcludedFromAutoHyperlinking(Boolean excludedFromAutoHyperlinking)
    Whether the asset should be excluded from hyperlinking or not.

  - ### setTypePublicId

    public void setTypePublicId(String typePublicId)
    The public ID of the new asset type for the asset.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`